<View::Base::SourceRecord
  class="use-highlights"
  @isEditor={{@isEditor}}
  @path={{this.sourcePath}}
  @model={{@model}}
  @value={{@value}}
  as |record|
>
  <View::Base::SourceField
    @path={{this.sourcePath}}
    @record={{record}}
    @value={{@value}}
    @for="description"
    as |fieldName|
  >
    <View::ContentPicker
      @value={{get record (concat fieldName "ContentBlocks")}}
      @options={{@value.data.contentPicker}}
      {{editor-props @value basePath=@path property="contentPicker"}}
      as |value|
    >
      <Container
        @value={{this.containerStyle}}
        @deviceSize={{@deviceSize}}
        data-name={{@value.name}}
        data-path="{{this.path}}.container"
      >
        <Article::Viewer
          @path={{this.path}}
          @name={{@value.name}}
          @gid={{@value.gid}}
          @deviceSize={{@deviceSize}}
          @options={{this.style}}
          @isEditor={{@isEditor}}
          @preview={{@preview}}
          @value={{value}}
          ...attributes
          as |value|
        >
          <View::Slot
            @value={{value}}
            @model={{@model}}
            @space={{@space}}
            @onChangeState={{@onChangeState}}
            @state={{@state}}
            @isEditor={{@isEditor}}
            @preview={{@preview}}
          />
        </Article::Viewer>
      </Container>
    </View::ContentPicker>
  </View::Base::SourceField>
</View::Base::SourceRecord>